Page MenuHomePhabricator

In TemplateData param editor, typing a name equal to alias definitely disable Done button
Closed, ResolvedPublic

Description

  1. Edit TemplateData with dedicated editor
  2. Edit a parameter in order to switch name and alias
  3. Replace name field content with alias field content
  4. A warning prompt (Error found. The chosen name is already in use by another parameter.) is displayed and Done button is disabled.
  5. Change alias field content.
  6. The warning message disappears.

Actually: Done button stays disabled.

Expected: since there is no more error, Done button should be available again.

Workaround: fake edit name field content adding a character then removing it.

Details

Related Gerrit Patches:
mediawiki/extensions/TemplateData : mastertdDialog: handle name/alias swaps

Event Timeline

Pols12 created this task.May 5 2019, 5:07 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 5 2019, 5:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 508861 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/TemplateData@master] tdDialog: handle name/alias swaps

https://gerrit.wikimedia.org/r/508861

DLynch claimed this task.May 8 2019, 4:11 PM
DLynch moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 508861 merged by jenkins-bot:
[mediawiki/extensions/TemplateData@master] tdDialog: handle name/alias swaps

https://gerrit.wikimedia.org/r/508861

Seems OK on test2.wp

However, we can now define an alias identical to name, typing alias after having typed name field. Whereas it’s still impossible to type a name identical to alias when the alias has already been typed.

@Pols12: It's true that you can do this, but that was already the case before this patch, so "can now" doesn't seem accurate. Separate bug, I'd say. I've filed it as T224137.

matmarex moved this task from Inbox to Low Priority on the Editing QA board.Jun 12 2019, 4:12 PM
marcella edited projects, added Skipped QA; removed Editing QA.
ppelberg closed this task as Resolved.Sep 2 2019, 11:46 PM